# MaterialChecker
Date: 2020-04-18

me.legofreak107.vehiclesplus.libraries.materialchecker

## Class MaterialChecker

- java.lang.Object
- - me.legofreak107.vehiclesplus.libraries.materialchecker.MaterialChecker

    public class MaterialChecker
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MaterialChecker()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Boolean` `isBottomSlab(org.bukkit.block.Block block)`
`static java.lang.Boolean` `isFullBlock(org.bukkit.Material mat)`
`static java.lang.Boolean` `isSlab(org.bukkit.block.Block block)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MaterialChecker

    public MaterialChecker()

### Method Detail

#### isFullBlock

    public static java.lang.Boolean isFullBlock(org.bukkit.Material mat)

#### isBottomSlab

    public static java.lang.Boolean isBottomSlab(org.bukkit.block.Block block)

#### isSlab

    public static java.lang.Boolean isSlab(org.bukkit.block.Block block)